Skip to main content

Supported products

Contracts represent the committed revenue agreements between buyers and sellers, detailing products, billing, and payment terms. The contracts API allows you to retrieve contract data from your HubSpot account. For more information on using contracts in HubSpot, see create and manage contracts.

Retrieve contracts

You can retrieve all contracts or individual contracts by ID as needed.
  • To retrieve all contracts, make a GET request to /crm/objects/2026-03/contracts
  • To retrieve a specific contract, make a GET request to /crm/objects/2026-03/contracts/{contractId}
The response will include a few default properties, including the create date and last modified date. To return additional properties, specify the properties by name using the ?properties= query parameter. For example, to fetch contracts and their corresponding ID, name, and effective start date, make a GET request to /crm/objects/2026-03/contracts?properties=hs_name,hs_contract_effective_date

Batch retrieve contracts

To retrieve multiple contracts in a single request, make a POST request to /crm/objects/2026-03/contracts/batch/read. In the request body, include an inputs array with the IDs of the contracts you want to retrieve. You can also include a properties array to specify which properties to return.
The response will include a results array with each requested contract:
Last modified on August 7, 2026